# Makefile.in generated by automake 1.9.6 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision$ 
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@


srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
subdir = kdetv/libkdetv
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(servicesdir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 =
libkdetv_la_DEPENDENCIES = kdetvvideo/libkdetvvideo.la \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_libkdetv_la_OBJECTS = cfgdata.lo channel.lo channelstore.lo \
	channelio.lo kdetv.lo generalwidgetimpl.lo \
	settingsdialogpage.lo lirc.lo pluginwidgetimpl.lo \
	channelwidgetimpl.lo kdetvmiscplugin.lo settingsdialog.lo \
	soundwidgetimpl.lo videowidgetimpl.lo filterwidgetimpl.lo \
	kdetvvbiplugin.lo kdetvfilterplugin.lo channelscanner.lo \
	channelimporter.lo channeleditor.lo kdetvmixerplugin.lo \
	kdetvwidget.lo viewmanager.lo vbimanager.lo filtermanager.lo \
	kdetvview.lo pluginfactory.lo kdetvsrcplugin.lo \
	audiomanager.lo sourcemanager.lo kdetvosdplugin.lo \
	osdmanager.lo miscmanager.lo channelpropertiesdialogimpl.lo \
	channelimportdlgimpl.lo statusmanager.lo volumecontroller.lo \
	controlinterface.lo controlwidgetimpl.lo kdetvpluginbase.lo \
	kdetvchannelplugin.lo
#>- libkdetv_la_OBJECTS = $(am_libkdetv_la_OBJECTS)
#>+ 17
libkdetv_la_final_OBJECTS = libkdetv_la.all_cpp.lo 
libkdetv_la_nofinal_OBJECTS = cfgdata.lo channel.lo channelstore.lo \
	channelio.lo kdetv.lo generalwidgetimpl.lo \
	settingsdialogpage.lo lirc.lo pluginwidgetimpl.lo \
	channelwidgetimpl.lo kdetvmiscplugin.lo settingsdialog.lo \
	soundwidgetimpl.lo videowidgetimpl.lo filterwidgetimpl.lo \
	kdetvvbiplugin.lo kdetvfilterplugin.lo channelscanner.lo \
	channelimporter.lo channeleditor.lo kdetvmixerplugin.lo \
	kdetvwidget.lo viewmanager.lo vbimanager.lo filtermanager.lo \
	kdetvview.lo pluginfactory.lo kdetvsrcplugin.lo \
	audiomanager.lo sourcemanager.lo kdetvosdplugin.lo \
	osdmanager.lo miscmanager.lo channelpropertiesdialogimpl.lo \
	channelimportdlgimpl.lo statusmanager.lo volumecontroller.lo \
	controlinterface.lo controlwidgetimpl.lo kdetvpluginbase.lo \
	kdetvchannelplugin.lo kdetviface_skel.lo channelstoreiface_skel.lo chwizard.lo generalwidget.lo channelwidget.lo pluginwidget.lo soundwidget.lo videowidget.lo filterwidget.lo finetuningdlg.lo pluginconfigwidget.lo channelpropertiesdialog.lo channelimportdlg.lo controlwidget.lo
@KDE_USE_FINAL_FALSE@libkdetv_la_OBJECTS = $(libkdetv_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libkdetv_la_OBJECTS = $(libkdetv_la_final_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
#>- 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(KDE_CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libkdetv_la_SOURCES)
DIST_SOURCES = $(libkdetv_la_SOURCES)
#>- RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
#>- 	html-recursive info-recursive install-data-recursive \
#>- 	install-exec-recursive install-info-recursive \
#>- 	install-recursive installcheck-recursive installdirs-recursive \
#>- 	pdf-recursive ps-recursive uninstall-info-recursive \
#>- 	uninstall-recursive
#>+ 6
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive nmcheck-recursive bcheck-recursive
servicesDATA_INSTALL = $(INSTALL_DATA)
DATA = $(services_DATA)
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
ACLOCAL = @ACLOCAL@
ALSA_INCLUDES = @ALSA_INCLUDES@
ALSA_LDFLAGS = @ALSA_LDFLAGS@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
ARCH_386_FALSE = @ARCH_386_FALSE@
ARCH_386_TRUE = @ARCH_386_TRUE@
ARCH_X86_64_FALSE = @ARCH_X86_64_FALSE@
ARCH_X86_64_TRUE = @ARCH_X86_64_TRUE@
ARCH_X86_FALSE = @ARCH_X86_FALSE@
ARCH_X86_TRUE = @ARCH_X86_TRUE@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOPIDLNG = @DCOPIDLNG@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_PERMISSIVE_FLAG = @ENABLE_PERMISSIVE_FLAG@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
HAVE_GCC_VISIBILITY = @HAVE_GCC_VISIBILITY@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KCFG_DEPENDENCIES = @KCFG_DEPENDENCIES@
KCONFIG_COMPILER = @KCONFIG_COMPILER@
KDECONFIG = @KDECONFIG@
KDETV_LIBS = @KDETV_LIBS@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_NO_UNDEFINED = @KDE_NO_UNDEFINED@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_USE_NMCHECK_FALSE = @KDE_USE_NMCHECK_FALSE@
KDE_USE_NMCHECK_TRUE = @KDE_USE_NMCHECK_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
LDFLAGS = @LDFLAGS@
LDFLAGS_AS_NEEDED = @LDFLAGS_AS_NEEDED@
LDFLAGS_NEW_DTAGS = @LDFLAGS_NEW_DTAGS@
LIBALSA = @LIBALSA@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBZ = @LIBZ@
LIBZVBI = @LIBZVBI@
LIB_ARTS = @LIB_ARTS@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPIM = @LIB_KDEPIM@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KDNSSD = @LIB_KDNSSD@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMPROXY = @LIB_KIMPROXY@
LIB_KIO = @LIB_KIO@
LIB_KJS = @LIB_KJS@
LIB_KNEWSTUFF = @LIB_KNEWSTUFF@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_KUTILS = @LIB_KUTILS@
LIB_LIRC_KDETV = @LIB_LIRC_KDETV@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MAKEKDEWIDGETS = @MAKEKDEWIDGETS@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_MMX_REGISTER = @USE_MMX_REGISTER@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
XMLLINT = @XMLLINT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ZVBI_INCLUDES = @ZVBI_INCLUDES@
ZVBI_LDFLAGS = @ZVBI_LDFLAGS@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_ALSADIR_FALSE = @include_ALSADIR_FALSE@
include_ALSADIR_TRUE = @include_ALSADIR_TRUE@
include_ARTS_FALSE = @include_ARTS_FALSE@
include_ARTS_TRUE = @include_ARTS_TRUE@
include_ZVBIDIR_FALSE = @include_ZVBIDIR_FALSE@
include_ZVBIDIR_TRUE = @include_ZVBIDIR_TRUE@
include_kdetvvideo_FALSE = @include_kdetvvideo_FALSE@
include_kdetvvideo_TRUE = @include_kdetvvideo_TRUE@
include_x11_FALSE = @include_x11_FALSE@
include_x11_TRUE = @include_x11_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_kcfgdir = @kde_kcfgdir@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdeinitdir = @kdeinitdir@
kdetv_SUBDIR_included_FALSE = @kdetv_SUBDIR_included_FALSE@
kdetv_SUBDIR_included_TRUE = @kdetv_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
po_SUBDIR_included_FALSE = @po_SUBDIR_included_FALSE@
po_SUBDIR_included_TRUE = @po_SUBDIR_included_TRUE@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
unsermake_enable_pch_FALSE = @unsermake_enable_pch_FALSE@
unsermake_enable_pch_TRUE = @unsermake_enable_pch_TRUE@
x_includes = @x_includes@
x_libraries = @x_libraries@
xdg_appsdir = @xdg_appsdir@
xdg_directorydir = @xdg_directorydir@
xdg_menudir = @xdg_menudir@
SUBDIRS = data kdetvvideo

# Main Library
lib_LTLIBRARIES = libkdetv.la

#
# Library
#
#>- libkdetv_la_SOURCES = cfgdata.cpp  channel.cpp  channelstore.cpp \
#>- 						channelio.cpp kdetv.cpp \
#>- 						chwizard.ui generalwidget.ui generalwidgetimpl.cpp \
#>- 						settingsdialogpage.cpp \
#>- 						channelwidget.ui lirc.cpp \
#>- 						pluginwidget.ui pluginwidgetimpl.cpp \
#>- 						channelwidgetimpl.cpp kdetvmiscplugin.cpp \
#>- 						settingsdialog.cpp \
#>- 						soundwidget.ui soundwidgetimpl.cpp \
#>- 						videowidget.ui videowidgetimpl.cpp \
#>- 						filterwidget.ui filterwidgetimpl.cpp \
#>- 						kdetvvbiplugin.cpp kdetvfilterplugin.cpp \
#>- 						channelscanner.cpp channelimporter.cpp finetuningdlg.ui \
#>- 						channeleditor.cpp kdetvmixerplugin.cpp \
#>- 						kdetviface.skel kdetvwidget.cpp \
#>- 						viewmanager.cpp vbimanager.cpp filtermanager.cpp \
#>- 						kdetvview.cpp pluginfactory.cpp pluginconfigwidget.ui \
#>- 						kdetvsrcplugin.cpp audiomanager.cpp sourcemanager.cpp \
#>- 						kdetvosdplugin.cpp osdmanager.cpp miscmanager.cpp \
#>- 						channelpropertiesdialog.ui channelpropertiesdialogimpl.cpp \
#>- 			 			channelimportdlg.ui channelimportdlgimpl.cpp \
#>- 						statusmanager.cpp \
#>- 						volumecontroller.cpp \
#>- 						controlinterface.cpp controlwidgetimpl.cpp controlwidget.ui \
#>- 						channelstoreiface.skel kdetvpluginbase.cpp \
#>- 						kdetvchannelplugin.cpp
#>+ 26
libkdetv_la_SOURCES=cfgdata.cpp  channel.cpp  channelstore.cpp \
						channelio.cpp kdetv.cpp \
						  generalwidgetimpl.cpp \
						settingsdialogpage.cpp \
						 lirc.cpp \
						 pluginwidgetimpl.cpp \
						channelwidgetimpl.cpp kdetvmiscplugin.cpp \
						settingsdialog.cpp \
						 soundwidgetimpl.cpp \
						 videowidgetimpl.cpp \
						 filterwidgetimpl.cpp \
						kdetvvbiplugin.cpp kdetvfilterplugin.cpp \
						channelscanner.cpp channelimporter.cpp  \
						channeleditor.cpp kdetvmixerplugin.cpp \
						 kdetvwidget.cpp \
						viewmanager.cpp vbimanager.cpp filtermanager.cpp \
						kdetvview.cpp pluginfactory.cpp  \
						kdetvsrcplugin.cpp audiomanager.cpp sourcemanager.cpp \
						kdetvosdplugin.cpp osdmanager.cpp miscmanager.cpp \
						 channelpropertiesdialogimpl.cpp \
			 			 channelimportdlgimpl.cpp \
						statusmanager.cpp \
						volumecontroller.cpp \
						controlinterface.cpp controlwidgetimpl.cpp  \
						 kdetvpluginbase.cpp \
						kdetvchannelplugin.cpp kdetviface_skel.cpp channelstoreiface_skel.cpp chwizard.cpp generalwidget.cpp channelwidget.cpp pluginwidget.cpp soundwidget.cpp videowidget.cpp filterwidget.cpp finetuningdlg.cpp pluginconfigwidget.cpp channelpropertiesdialog.cpp channelimportdlg.cpp controlwidget.cpp

#>- libkdetv_la_LDFLAGS = $(all_libraries) -version-info 1:0:0 -no-undefined
#>+ 1
libkdetv_la_LDFLAGS = $(all_libraries) -version-info 1:0:0 -no-undefined $(KDE_NO_UNDEFINED)
libkdetv_la_LIBADD = kdetvvideo/libkdetvvideo.la $(LIB_KDECORE) $(LIB_KDEUI) $(KDETV_LIBS) $(LIB_KIO) $(LIB_LIRC_KDETV)

# General
INTERFACES = 
TRANSLATIONS = 
#>- METASOURCES = AUTO

# set the include path for X, qt and KDE
INCLUDES = $(all_includes)
services_DATA = kdetvvideopluginsvc.desktop kdetvchannelpluginsvc.desktop kdetvmixerpluginsvc.desktop kdetvfilterpluginsvc.desktop \
				kdetvplugin.desktop kdetvosdpluginsvc.desktop kdetvmiscpluginsvc.desktop kdetvvbipluginsvc.desktop kdetvpostprocesspluginsvc.desktop

servicesdir = $(kde_servicetypesdir)/kdetv
#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
#>- 	@for dep in $?; do \
#>- 	  case '$(am__configure_deps)' in \
#>- 	    *$$dep*) \
#>- 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
#>- 		&& exit 0; \
#>- 	      exit 1;; \
#>- 	  esac; \
#>- 	done; \
#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  kdetv/libkdetv/Makefile'; \
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --gnu  kdetv/libkdetv/Makefile
#>+ 12
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  kdetv/libkdetv/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  kdetv/libkdetv/Makefile
	cd $(top_srcdir) && perl admin/am_edit kdetv/libkdetv/Makefile.in
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@set -x; list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
#>- libkdetv.la: $(libkdetv_la_OBJECTS) $(libkdetv_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@libkdetv.la: libkdetv.la.closure $(libkdetv_la_OBJECTS) $(libkdetv_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@libkdetv.la: $(libkdetv_la_OBJECTS) $(libkdetv_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(libdir) $(libkdetv_la_LDFLAGS) $(libkdetv_la_OBJECTS) $(libkdetv_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/audiomanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfgdata.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/channel.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/channeleditor.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/channelimportdlgimpl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/channelimporter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/channelio.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/channelpropertiesdialogimpl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/channelscanner.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/channelstore.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/channelwidgetimpl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/controlinterface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/controlwidgetimpl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/filtermanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/filterwidgetimpl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/generalwidgetimpl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdetv.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdetvchannelplugin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdetvfilterplugin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdetvmiscplugin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdetvmixerplugin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdetvosdplugin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdetvpluginbase.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdetvsrcplugin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdetvvbiplugin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdetvview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdetvwidget.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lirc.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/miscmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/osdmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pluginfactory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pluginwidgetimpl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/settingsdialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/settingsdialogpage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/soundwidgetimpl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sourcemanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/statusmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vbimanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/videowidgetimpl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/viewmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/volumecontroller.Plo@am__quote@

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-servicesDATA: $(services_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(servicesdir)" || $(mkdir_p) "$(DESTDIR)$(servicesdir)"
	@list='$(services_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(servicesDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(servicesdir)/$$f'"; \
	  $(servicesDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(servicesdir)/$$f"; \
	done

uninstall-servicesDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(services_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(servicesdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(servicesdir)/$$f"; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(mkdir_p) "$(distdir)/$$subdir" \
	    || exit 1; \
	    distdir=`$(am__cd) $(distdir) && pwd`; \
	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$top_distdir" \
	        distdir="$$distdir/$$subdir" \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(LTLIBRARIES) $(DATA)
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(servicesdir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
#>- 	mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-idl clean-ui clean-closures clean-bcheck clean-final  clean-generic clean-libLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

info: info-recursive

info-am:

install-data-am: install-servicesDATA

install-exec-am: install-libLTLIBRARIES

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-info-am uninstall-libLTLIBRARIES \
	uninstall-servicesDATA

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
	clean clean-generic clean-libLTLIBRARIES clean-libtool \
	clean-recursive ctags ctags-recursive distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-recursive distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-libLTLIBRARIES install-man \
	install-servicesDATA install-strip installcheck \
	installcheck-am installdirs installdirs-am maintainer-clean \
	maintainer-clean-generic maintainer-clean-recursive \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
	tags tags-recursive uninstall uninstall-am uninstall-info-am \
	uninstall-libLTLIBRARIES uninstall-servicesDATA


.PHONY:		tests

tests:
	$(MAKE) -C tests tests

.PHONY:	srcdoc

srcdoc:
	$(kde_bindir)/kdoc -d classdocs -n 'kdetv' -lqt -ldcop -lkdecore -lkdeui *.h
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 9
kdetviface.kidl: $(srcdir)/kdetviface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/kdetviface.h > kdetviface.kidl || ( rm -f kdetviface.kidl ; false )
kdetviface_skel.cpp: kdetviface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub kdetviface.kidl
channelstoreiface.kidl: $(srcdir)/channelstoreiface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/channelstoreiface.h > channelstoreiface.kidl || ( rm -f channelstoreiface.kidl ; false )
channelstoreiface_skel.cpp: channelstoreiface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub channelstoreiface.kidl

#>+ 8
libkdetv.la.closure: $(libkdetv_la_OBJECTS) $(libkdetv_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > libkdetv_la_closure.cpp
	@$(LTCXXCOMPILE) -c libkdetv_la_closure.cpp
	$(CXXLINK) libkdetv_la_closure.lo $(libkdetv_la_LDFLAGS) $(libkdetv_la_OBJECTS) $(libkdetv_la_LIBADD) $(LIBS)
	@rm -f libkdetv_la_closure.* libkdetv.la.closure
	@echo "timestamp" > libkdetv.la.closure


#>+ 3
kdetvwidget.moc: $(srcdir)/kdetvwidget.h
	$(MOC) $(srcdir)/kdetvwidget.h -o kdetvwidget.moc

#>+ 2
mocs: kdetvwidget.moc

#>+ 3
audiomanager.moc: $(srcdir)/audiomanager.h
	$(MOC) $(srcdir)/audiomanager.h -o audiomanager.moc

#>+ 2
mocs: audiomanager.moc

#>+ 3
channelstore.moc: $(srcdir)/channelstore.h
	$(MOC) $(srcdir)/channelstore.h -o channelstore.moc

#>+ 2
mocs: channelstore.moc

#>+ 3
channelwidgetimpl.moc: $(srcdir)/channelwidgetimpl.h
	$(MOC) $(srcdir)/channelwidgetimpl.h -o channelwidgetimpl.moc

#>+ 2
mocs: channelwidgetimpl.moc

#>+ 3
pluginwidgetimpl.moc: $(srcdir)/pluginwidgetimpl.h
	$(MOC) $(srcdir)/pluginwidgetimpl.h -o pluginwidgetimpl.moc

#>+ 2
mocs: pluginwidgetimpl.moc

#>+ 3
viewmanager.moc: $(srcdir)/viewmanager.h
	$(MOC) $(srcdir)/viewmanager.h -o viewmanager.moc

#>+ 2
mocs: viewmanager.moc

#>+ 3
sourcemanager.moc: $(srcdir)/sourcemanager.h
	$(MOC) $(srcdir)/sourcemanager.h -o sourcemanager.moc

#>+ 2
mocs: sourcemanager.moc

#>+ 3
channelpropertiesdialogimpl.moc: $(srcdir)/channelpropertiesdialogimpl.h
	$(MOC) $(srcdir)/channelpropertiesdialogimpl.h -o channelpropertiesdialogimpl.moc

#>+ 2
mocs: channelpropertiesdialogimpl.moc

#>+ 3
videowidgetimpl.moc: $(srcdir)/videowidgetimpl.h
	$(MOC) $(srcdir)/videowidgetimpl.h -o videowidgetimpl.moc

#>+ 2
mocs: videowidgetimpl.moc

#>+ 3
controlwidgetimpl.moc: $(srcdir)/controlwidgetimpl.h
	$(MOC) $(srcdir)/controlwidgetimpl.h -o controlwidgetimpl.moc

#>+ 2
mocs: controlwidgetimpl.moc

#>+ 3
generalwidgetimpl.moc: $(srcdir)/generalwidgetimpl.h
	$(MOC) $(srcdir)/generalwidgetimpl.h -o generalwidgetimpl.moc

#>+ 2
mocs: generalwidgetimpl.moc

#>+ 3
filtermanager.moc: $(srcdir)/filtermanager.h
	$(MOC) $(srcdir)/filtermanager.h -o filtermanager.moc

#>+ 2
mocs: filtermanager.moc

#>+ 3
kdetvsrcplugin.moc: $(srcdir)/kdetvsrcplugin.h
	$(MOC) $(srcdir)/kdetvsrcplugin.h -o kdetvsrcplugin.moc

#>+ 2
mocs: kdetvsrcplugin.moc

#>+ 3
volumecontroller.moc: $(srcdir)/volumecontroller.h
	$(MOC) $(srcdir)/volumecontroller.h -o volumecontroller.moc

#>+ 2
mocs: volumecontroller.moc

#>+ 3
vbimanager.moc: $(srcdir)/vbimanager.h
	$(MOC) $(srcdir)/vbimanager.h -o vbimanager.moc

#>+ 2
mocs: vbimanager.moc

#>+ 3
kdetvmixerplugin.moc: $(srcdir)/kdetvmixerplugin.h
	$(MOC) $(srcdir)/kdetvmixerplugin.h -o kdetvmixerplugin.moc

#>+ 2
mocs: kdetvmixerplugin.moc

#>+ 3
kdetvosdplugin.moc: $(srcdir)/kdetvosdplugin.h
	$(MOC) $(srcdir)/kdetvosdplugin.h -o kdetvosdplugin.moc

#>+ 2
mocs: kdetvosdplugin.moc

#>+ 3
kdetvmiscplugin.moc: $(srcdir)/kdetvmiscplugin.h
	$(MOC) $(srcdir)/kdetvmiscplugin.h -o kdetvmiscplugin.moc

#>+ 2
mocs: kdetvmiscplugin.moc

#>+ 3
channel.moc: $(srcdir)/channel.h
	$(MOC) $(srcdir)/channel.h -o channel.moc

#>+ 2
mocs: channel.moc

#>+ 3
channelimportdlgimpl.moc: $(srcdir)/channelimportdlgimpl.h
	$(MOC) $(srcdir)/channelimportdlgimpl.h -o channelimportdlgimpl.moc

#>+ 2
mocs: channelimportdlgimpl.moc

#>+ 3
filterwidgetimpl.moc: $(srcdir)/filterwidgetimpl.h
	$(MOC) $(srcdir)/filterwidgetimpl.h -o filterwidgetimpl.moc

#>+ 2
mocs: filterwidgetimpl.moc

#>+ 3
soundwidgetimpl.moc: $(srcdir)/soundwidgetimpl.h
	$(MOC) $(srcdir)/soundwidgetimpl.h -o soundwidgetimpl.moc

#>+ 2
mocs: soundwidgetimpl.moc

#>+ 3
miscmanager.moc: $(srcdir)/miscmanager.h
	$(MOC) $(srcdir)/miscmanager.h -o miscmanager.moc

#>+ 2
mocs: miscmanager.moc

#>+ 3
lirc.moc: $(srcdir)/lirc.h
	$(MOC) $(srcdir)/lirc.h -o lirc.moc

#>+ 2
mocs: lirc.moc

#>+ 3
channelimporter.moc: $(srcdir)/channelimporter.h
	$(MOC) $(srcdir)/channelimporter.h -o channelimporter.moc

#>+ 2
mocs: channelimporter.moc

#>+ 3
kdetvfilterplugin.moc: $(srcdir)/kdetvfilterplugin.h
	$(MOC) $(srcdir)/kdetvfilterplugin.h -o kdetvfilterplugin.moc

#>+ 2
mocs: kdetvfilterplugin.moc

#>+ 3
channeleditor.moc: $(srcdir)/channeleditor.h
	$(MOC) $(srcdir)/channeleditor.h -o channeleditor.moc

#>+ 2
mocs: channeleditor.moc

#>+ 3
kdetv.moc: $(srcdir)/kdetv.h
	$(MOC) $(srcdir)/kdetv.h -o kdetv.moc

#>+ 2
mocs: kdetv.moc

#>+ 3
kdetvview.moc: $(srcdir)/kdetvview.h
	$(MOC) $(srcdir)/kdetvview.h -o kdetvview.moc

#>+ 2
mocs: kdetvview.moc

#>+ 3
kdetvpluginbase.moc: $(srcdir)/kdetvpluginbase.h
	$(MOC) $(srcdir)/kdetvpluginbase.h -o kdetvpluginbase.moc

#>+ 2
mocs: kdetvpluginbase.moc

#>+ 3
kdetvchannelplugin.moc: $(srcdir)/kdetvchannelplugin.h
	$(MOC) $(srcdir)/kdetvchannelplugin.h -o kdetvchannelplugin.moc

#>+ 2
mocs: kdetvchannelplugin.moc

#>+ 3
osdmanager.moc: $(srcdir)/osdmanager.h
	$(MOC) $(srcdir)/osdmanager.h -o osdmanager.moc

#>+ 2
mocs: osdmanager.moc

#>+ 3
statusmanager.moc: $(srcdir)/statusmanager.h
	$(MOC) $(srcdir)/statusmanager.h -o statusmanager.moc

#>+ 2
mocs: statusmanager.moc

#>+ 3
channelscanner.moc: $(srcdir)/channelscanner.h
	$(MOC) $(srcdir)/channelscanner.h -o channelscanner.moc

#>+ 2
mocs: channelscanner.moc

#>+ 3
kdetvvbiplugin.moc: $(srcdir)/kdetvvbiplugin.h
	$(MOC) $(srcdir)/kdetvvbiplugin.h -o kdetvvbiplugin.moc

#>+ 2
mocs: kdetvvbiplugin.moc

#>+ 3
controlinterface.moc: $(srcdir)/controlinterface.h
	$(MOC) $(srcdir)/controlinterface.h -o controlinterface.moc

#>+ 2
mocs: controlinterface.moc

#>+ 3
settingsdialog.moc: $(srcdir)/settingsdialog.h
	$(MOC) $(srcdir)/settingsdialog.h -o settingsdialog.moc

#>+ 2
mocs: settingsdialog.moc

#>+ 3
clean-metasources:
	-rm -f  kdetvwidget.moc audiomanager.moc channelstore.moc channelwidgetimpl.moc pluginwidgetimpl.moc viewmanager.moc sourcemanager.moc channelpropertiesdialogimpl.moc videowidgetimpl.moc controlwidgetimpl.moc generalwidgetimpl.moc filtermanager.moc kdetvsrcplugin.moc volumecontroller.moc vbimanager.moc kdetvmixerplugin.moc kdetvosdplugin.moc kdetvmiscplugin.moc channel.moc channelimportdlgimpl.moc filterwidgetimpl.moc soundwidgetimpl.moc miscmanager.moc lirc.moc channelimporter.moc kdetvfilterplugin.moc channeleditor.moc kdetv.moc kdetvview.moc kdetvpluginbase.moc kdetvchannelplugin.moc osdmanager.moc statusmanager.moc channelscanner.moc kdetvvbiplugin.moc controlinterface.moc settingsdialog.moc

#>+ 2
KDE_DIST=finetuningdlg.ui.h pluginfactory.h pluginwidgetimpl.h kdetviface.h kdetvvideopluginsvc.desktop controlwidgetimpl.h libkdetv_export.h kdetvfilterpluginsvc.desktop channel.h videowidgetimpl.h audiomanager.h Doxyfile channelstoreiface.h vbimanager.h sourcemanager.h channelimportdlgimpl.h generalwidgetimpl.h osdmanager.h kdetvpostprocesspluginsvc.desktop kdetvosdpluginsvc.desktop kdetvosdplugin.h filterwidgetimpl.h settingsdialogpage.h chwizard.ui kdetvvbipluginsvc.desktop channelscanner.h kdetvsrcplugin.h kdetvview.h cfgdata.h kdetv.h channeleditor.h kdetvmiscplugin.h pluginwidget.ui channelpropertiesdialogimpl.h videowidget.ui filtermanager.h kdetvpluginbase.h statusmanager.h soundwidget.ui miscmanager.h finetuningdlg.ui filterwidget.ui viewmanager.h kdetvmixerpluginsvc.desktop controlinterface.h channelimporter.h kdetvvbiplugin.h lirc.h pluginconfigwidget.ui kdetvplugin.desktop settingsdialog.h soundwidgetimpl.h kdetvmixerplugin.h channelstore.h Makefile.in kdetvmiscpluginsvc.desktop design.h channelwidget.ui generalwidget.ui kdetvwidget.h controlwidget.ui pluginconfigwidget.ui.h kdetvfilterplugin.h channelimportdlg.ui channelio.h channelwidgetimpl.h kdetvchannelpluginsvc.desktop Makefile.am channelpropertiesdialog.ui volumecontroller.h kdetvchannelplugin.h 

#>+ 5
clean-idl:
	-rm -f \
	kdetviface_skel.cpp kdetviface_skel.h kdetviface.kidl \
	channelstoreiface_skel.cpp channelstoreiface_skel.h channelstoreiface.kidl 

#>+ 15
clean-ui:
	-rm -f \
	chwizard.cpp chwizard.h chwizard.moc \
	generalwidget.cpp generalwidget.h generalwidget.moc \
	channelwidget.cpp channelwidget.h channelwidget.moc \
	pluginwidget.cpp pluginwidget.h pluginwidget.moc \
	soundwidget.cpp soundwidget.h soundwidget.moc \
	videowidget.cpp videowidget.h videowidget.moc \
	filterwidget.cpp filterwidget.h filterwidget.moc \
	finetuningdlg.cpp finetuningdlg.h finetuningdlg.moc \
	pluginconfigwidget.cpp pluginconfigwidget.h pluginconfigwidget.moc \
	channelpropertiesdialog.cpp channelpropertiesdialog.h channelpropertiesdialog.moc \
	channelimportdlg.cpp channelimportdlg.h channelimportdlg.moc \
	controlwidget.cpp controlwidget.h controlwidget.moc 

#>+ 3
clean-closures:
	-rm -f  libkdetv.la.closure

#>+ 2
docs-am:

#>+ 15
force-reedit:
		@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  kdetv/libkdetv/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  kdetv/libkdetv/Makefile
	cd $(top_srcdir) && perl admin/am_edit kdetv/libkdetv/Makefile.in


#>+ 21
clean-bcheck: 
	rm -f *.bchecktest.cc *.bchecktest.cc.class a.out

bcheck: bcheck-recursive

bcheck-am:
	@for i in ; do \
	    if test $(srcdir)/$$i -nt $$i.bchecktest.cc; then \
	        echo "int main() {return 0;}" > $$i.bchecktest.cc ; \
	        echo "#include \"$$i\"" >> $$i.bchecktest.cc ; \
	        echo "$$i"; \
	        if ! $(CXXCOMPILE)  --dump-class-hierarchy -c $$i.bchecktest.cc; then \
	            rm -f $$i.bchecktest.cc; exit 1; \
	        fi ; \
	        echo "" >> $$i.bchecktest.cc.class; \
	        perl $(top_srcdir)/admin/bcheck.pl $$i.bchecktest.cc.class || { rm -f $$i.bchecktest.cc; exit 1; }; \
	        rm -f a.out; \
	    fi ; \
	done


#>+ 11
libkdetv_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/cfgdata.cpp $(srcdir)/channel.cpp $(srcdir)/channelstore.cpp $(srcdir)/channelio.cpp $(srcdir)/kdetv.cpp $(srcdir)/generalwidgetimpl.cpp $(srcdir)/settingsdialogpage.cpp $(srcdir)/lirc.cpp $(srcdir)/pluginwidgetimpl.cpp $(srcdir)/channelwidgetimpl.cpp $(srcdir)/kdetvmiscplugin.cpp $(srcdir)/settingsdialog.cpp $(srcdir)/soundwidgetimpl.cpp $(srcdir)/videowidgetimpl.cpp $(srcdir)/filterwidgetimpl.cpp $(srcdir)/kdetvvbiplugin.cpp $(srcdir)/kdetvfilterplugin.cpp $(srcdir)/channelscanner.cpp $(srcdir)/channelimporter.cpp $(srcdir)/channeleditor.cpp $(srcdir)/kdetvmixerplugin.cpp $(srcdir)/kdetvwidget.cpp $(srcdir)/viewmanager.cpp $(srcdir)/vbimanager.cpp $(srcdir)/filtermanager.cpp $(srcdir)/kdetvview.cpp $(srcdir)/pluginfactory.cpp $(srcdir)/kdetvsrcplugin.cpp $(srcdir)/audiomanager.cpp $(srcdir)/sourcemanager.cpp $(srcdir)/kdetvosdplugin.cpp $(srcdir)/osdmanager.cpp $(srcdir)/miscmanager.cpp $(srcdir)/channelpropertiesdialogimpl.cpp $(srcdir)/channelimportdlgimpl.cpp $(srcdir)/statusmanager.cpp $(srcdir)/volumecontroller.cpp $(srcdir)/controlinterface.cpp $(srcdir)/controlwidgetimpl.cpp $(srcdir)/kdetvpluginbase.cpp $(srcdir)/kdetvchannelplugin.cpp kdetviface_skel.cpp channelstoreiface_skel.cpp chwizard.cpp generalwidget.cpp channelwidget.cpp pluginwidget.cpp soundwidget.cpp videowidget.cpp filterwidget.cpp finetuningdlg.cpp pluginconfigwidget.cpp channelpropertiesdialog.cpp channelimportdlg.cpp controlwidget.cpp  kdetvwidget.moc audiomanager.moc generalwidget.moc channelstore.moc channelwidgetimpl.moc viewmanager.moc pluginwidgetimpl.moc channelimportdlg.moc videowidget.moc controlwidget.moc chwizard.moc sourcemanager.moc channelpropertiesdialogimpl.moc videowidgetimpl.moc controlwidgetimpl.moc kdetvsrcplugin.moc filtermanager.moc generalwidgetimpl.moc channelpropertiesdialog.moc volumecontroller.moc pluginwidget.moc vbimanager.moc kdetvmixerplugin.moc kdetvosdplugin.moc kdetvmiscplugin.moc channel.moc channelimportdlgimpl.moc filterwidgetimpl.moc miscmanager.moc soundwidgetimpl.moc lirc.moc filterwidget.moc channelimporter.moc pluginconfigwidget.moc kdetvfilterplugin.moc channeleditor.moc kdetv.moc finetuningdlg.moc kdetvpluginbase.moc kdetvview.moc kdetvchannelplugin.moc soundwidget.moc channelscanner.moc statusmanager.moc osdmanager.moc controlinterface.moc kdetvvbiplugin.moc channelwidget.moc settingsdialog.moc
	@echo 'creating libkdetv_la.all_cpp.cpp ...'; \
	rm -f libkdetv_la.all_cpp.files libkdetv_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libkdetv_la.all_cpp.final; \
	for file in cfgdata.cpp channel.cpp channelstore.cpp channelio.cpp kdetv.cpp generalwidgetimpl.cpp settingsdialogpage.cpp lirc.cpp pluginwidgetimpl.cpp channelwidgetimpl.cpp kdetvmiscplugin.cpp settingsdialog.cpp soundwidgetimpl.cpp videowidgetimpl.cpp filterwidgetimpl.cpp kdetvvbiplugin.cpp kdetvfilterplugin.cpp channelscanner.cpp channelimporter.cpp channeleditor.cpp kdetvmixerplugin.cpp kdetvwidget.cpp viewmanager.cpp vbimanager.cpp filtermanager.cpp kdetvview.cpp pluginfactory.cpp kdetvsrcplugin.cpp audiomanager.cpp sourcemanager.cpp kdetvosdplugin.cpp osdmanager.cpp miscmanager.cpp channelpropertiesdialogimpl.cpp channelimportdlgimpl.cpp statusmanager.cpp volumecontroller.cpp controlinterface.cpp controlwidgetimpl.cpp kdetvpluginbase.cpp kdetvchannelplugin.cpp kdetviface_skel.cpp channelstoreiface_skel.cpp chwizard.cpp generalwidget.cpp channelwidget.cpp pluginwidget.cpp soundwidget.cpp videowidget.cpp filterwidget.cpp finetuningdlg.cpp pluginconfigwidget.cpp channelpropertiesdialog.cpp channelimportdlg.cpp controlwidget.cpp ; do \
	  echo "#include \"$$file\"" >> libkdetv_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkdetv_la.all_cpp.final; \
	done; \
	cat libkdetv_la.all_cpp.final libkdetv_la.all_cpp.files > libkdetv_la.all_cpp.cpp; \
	rm -f libkdetv_la.all_cpp.final libkdetv_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f libkdetv_la.all_cpp.cpp

#>+ 3
final:
	$(MAKE) libkdetv_la_OBJECTS="$(libkdetv_la_final_OBJECTS)" all-am

#>+ 3
final-install:
	$(MAKE) libkdetv_la_OBJECTS="$(libkdetv_la_final_OBJECTS)" install-am

#>+ 3
no-final:
	$(MAKE) libkdetv_la_OBJECTS="$(libkdetv_la_nofinal_OBJECTS)" all-am

#>+ 3
no-final-install:
	$(MAKE) libkdetv_la_OBJECTS="$(libkdetv_la_nofinal_OBJECTS)" install-am

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 118
$(srcdir)/pluginfactory.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
miscmanager.o: miscmanager.moc 
sourcemanager.lo: sourcemanager.moc 
$(srcdir)/kdetvsrcplugin.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
$(srcdir)/kdetvmixerplugin.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
channelimportdlgimpl.o: channelimportdlgimpl.moc 
$(srcdir)/kdetvosdplugin.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
$(srcdir)/channeleditor.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
pluginwidgetimpl.lo: pluginwidgetimpl.moc 
kdetv.lo: kdetv.moc 
$(srcdir)/kdetvwidget.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
kdetvfilterplugin.o: kdetvfilterplugin.moc 
$(srcdir)/generalwidgetimpl.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
$(srcdir)/kdetvpluginbase.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
osdmanager.lo: osdmanager.moc 
viewmanager.lo: viewmanager.moc 
$(srcdir)/channelscanner.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
viewmanager.o: viewmanager.moc 
kdetvsrcplugin.lo: kdetvsrcplugin.moc 
channelwidgetimpl.lo: channelwidgetimpl.moc 
channeleditor.o: channeleditor.moc 
channelstore.o: channelstore.moc 
$(srcdir)/volumecontroller.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
controlwidgetimpl.lo: controlwidgetimpl.moc 
filterwidgetimpl.o: filterwidgetimpl.moc 
channeleditor.lo: channeleditor.moc 
nmcheck-am: nmcheck
$(srcdir)/statusmanager.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
kdetvview.o: kdetvview.moc 
$(srcdir)/channelimportdlgimpl.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
$(srcdir)/kdetvmiscplugin.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
generalwidgetimpl.lo: generalwidgetimpl.moc 
pluginwidgetimpl.o: pluginwidgetimpl.moc 
$(srcdir)/controlinterface.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
channel.lo: channel.moc 
$(srcdir)/kdetvvbiplugin.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
$(srcdir)/channelimporter.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
channelpropertiesdialogimpl.o: channelpropertiesdialogimpl.moc 
videowidgetimpl.o: videowidgetimpl.moc 
kdetvvbiplugin.lo: kdetvvbiplugin.moc 
$(srcdir)/channelstore.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
lirc.o: lirc.moc 
kdetvosdplugin.lo: kdetvosdplugin.moc 
$(srcdir)/pluginwidgetimpl.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
$(srcdir)/viewmanager.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
miscmanager.lo: miscmanager.moc 
soundwidgetimpl.lo: soundwidgetimpl.moc 
$(srcdir)/sourcemanager.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
channelscanner.lo: channelscanner.moc 
$(srcdir)/osdmanager.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
channelstore.lo: channelstore.moc 
$(srcdir)/channelpropertiesdialogimpl.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
statusmanager.o: statusmanager.moc 
volumecontroller.lo: volumecontroller.moc 
kdetvmiscplugin.o: kdetvmiscplugin.moc 
$(srcdir)/audiomanager.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
$(srcdir)/vbimanager.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
channelimporter.lo: channelimporter.moc 
osdmanager.o: osdmanager.moc 
$(srcdir)/kdetvchannelplugin.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
$(srcdir)/cfgdata.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
filterwidgetimpl.lo: filterwidgetimpl.moc 
statusmanager.lo: statusmanager.moc 
kdetv.o: kdetv.moc 
channelwidgetimpl.o: channelwidgetimpl.moc 
$(srcdir)/settingsdialog.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
$(srcdir)/filterwidgetimpl.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
kdetvmixerplugin.lo: kdetvmixerplugin.moc 
$(srcdir)/kdetvview.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
channelimportdlgimpl.lo: channelimportdlgimpl.moc 
$(srcdir)/lirc.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
controlinterface.o: controlinterface.moc 
$(srcdir)/filtermanager.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
$(srcdir)/channel.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
generalwidgetimpl.o: generalwidgetimpl.moc 
vbimanager.lo: vbimanager.moc 
channelimporter.o: channelimporter.moc 
audiomanager.o: audiomanager.moc 
kdetvmiscplugin.lo: kdetvmiscplugin.moc 
$(srcdir)/settingsdialogpage.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
soundwidgetimpl.o: soundwidgetimpl.moc 
kdetvchannelplugin.o: kdetvchannelplugin.moc 
kdetvpluginbase.o: kdetvpluginbase.moc 
kdetvpluginbase.lo: kdetvpluginbase.moc 
kdetvvbiplugin.o: kdetvvbiplugin.moc 
audiomanager.lo: audiomanager.moc 
kdetvfilterplugin.lo: kdetvfilterplugin.moc 
$(srcdir)/channelwidgetimpl.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
filtermanager.o: filtermanager.moc 
$(srcdir)/kdetv.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
$(srcdir)/soundwidgetimpl.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
kdetvwidget.o: kdetvwidget.moc 
channel.o: channel.moc 
kdetvosdplugin.o: kdetvosdplugin.moc 
kdetvmixerplugin.o: kdetvmixerplugin.moc 
$(srcdir)/videowidgetimpl.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
kdetvsrcplugin.o: kdetvsrcplugin.moc 
controlwidgetimpl.o: controlwidgetimpl.moc 
channelscanner.o: channelscanner.moc 
settingsdialog.lo: settingsdialog.moc 
lirc.lo: lirc.moc 
sourcemanager.o: sourcemanager.moc 
nmcheck: 
videowidgetimpl.lo: videowidgetimpl.moc 
kdetvview.lo: kdetvview.moc 
vbimanager.o: vbimanager.moc 
$(srcdir)/controlwidgetimpl.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
kdetvwidget.lo: kdetvwidget.moc 
$(srcdir)/kdetvfilterplugin.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
volumecontroller.o: volumecontroller.moc 
kdetvchannelplugin.lo: kdetvchannelplugin.moc 
settingsdialog.o: settingsdialog.moc 
channelpropertiesdialogimpl.lo: channelpropertiesdialogimpl.moc 
$(srcdir)/miscmanager.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 
filtermanager.lo: filtermanager.moc 
controlinterface.lo: controlinterface.moc 
$(srcdir)/channelio.cpp: chwizard.h generalwidget.h channelwidget.h pluginwidget.h soundwidget.h videowidget.h filterwidget.h finetuningdlg.h pluginconfigwidget.h channelpropertiesdialog.h channelimportdlg.h controlwidget.h 

#>+ 180
soundwidget.cpp: $(srcdir)/soundwidget.ui soundwidget.h soundwidget.moc
	rm -f soundwidget.cpp
	echo '#include <kdialog.h>' > soundwidget.cpp
	echo '#include <klocale.h>' >> soundwidget.cpp
	$(UIC) -tr ${UIC_TR} -i soundwidget.h $(srcdir)/soundwidget.ui > soundwidget.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" soundwidget.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_soundwidget,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> soundwidget.cpp ;\
	rm -f soundwidget.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "soundwidget.moc"' >> soundwidget.cpp; else rm -f soundwidget.cpp ; exit $$ret ; fi

soundwidget.h: $(srcdir)/soundwidget.ui
	rm -rf soundwidget.h;
	$(UIC) $(srcdir)/soundwidget.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> soundwidget.h ;
soundwidget.moc: soundwidget.h
	$(MOC) soundwidget.h -o soundwidget.moc

pluginwidget.cpp: $(srcdir)/pluginwidget.ui pluginwidget.h pluginwidget.moc
	rm -f pluginwidget.cpp
	echo '#include <kdialog.h>' > pluginwidget.cpp
	echo '#include <klocale.h>' >> pluginwidget.cpp
	$(UIC) -tr ${UIC_TR} -i pluginwidget.h $(srcdir)/pluginwidget.ui > pluginwidget.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" pluginwidget.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_pluginwidget,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> pluginwidget.cpp ;\
	rm -f pluginwidget.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "pluginwidget.moc"' >> pluginwidget.cpp; else rm -f pluginwidget.cpp ; exit $$ret ; fi

pluginwidget.h: $(srcdir)/pluginwidget.ui
	rm -rf pluginwidget.h;
	$(UIC) $(srcdir)/pluginwidget.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> pluginwidget.h ;
pluginwidget.moc: pluginwidget.h
	$(MOC) pluginwidget.h -o pluginwidget.moc

videowidget.cpp: $(srcdir)/videowidget.ui videowidget.h videowidget.moc
	rm -f videowidget.cpp
	echo '#include <kdialog.h>' > videowidget.cpp
	echo '#include <klocale.h>' >> videowidget.cpp
	$(UIC) -tr ${UIC_TR} -i videowidget.h $(srcdir)/videowidget.ui > videowidget.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" videowidget.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_videowidget,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> videowidget.cpp ;\
	rm -f videowidget.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "videowidget.moc"' >> videowidget.cpp; else rm -f videowidget.cpp ; exit $$ret ; fi

videowidget.h: $(srcdir)/videowidget.ui
	rm -rf videowidget.h;
	$(UIC) $(srcdir)/videowidget.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> videowidget.h ;
videowidget.moc: videowidget.h
	$(MOC) videowidget.h -o videowidget.moc

finetuningdlg.cpp: $(srcdir)/finetuningdlg.ui finetuningdlg.h finetuningdlg.moc
	rm -f finetuningdlg.cpp
	echo '#include <kdialog.h>' > finetuningdlg.cpp
	echo '#include <klocale.h>' >> finetuningdlg.cpp
	$(UIC) -tr ${UIC_TR} -i finetuningdlg.h $(srcdir)/finetuningdlg.ui > finetuningdlg.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" finetuningdlg.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_finetuningdlg,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> finetuningdlg.cpp ;\
	rm -f finetuningdlg.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "finetuningdlg.moc"' >> finetuningdlg.cpp; else rm -f finetuningdlg.cpp ; exit $$ret ; fi

finetuningdlg.h: $(srcdir)/finetuningdlg.ui
	rm -rf finetuningdlg.h;
	$(UIC) $(srcdir)/finetuningdlg.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> finetuningdlg.h ;
finetuningdlg.moc: finetuningdlg.h
	$(MOC) finetuningdlg.h -o finetuningdlg.moc

channelimportdlg.cpp: $(srcdir)/channelimportdlg.ui channelimportdlg.h channelimportdlg.moc
	rm -f channelimportdlg.cpp
	echo '#include <kdialog.h>' > channelimportdlg.cpp
	echo '#include <klocale.h>' >> channelimportdlg.cpp
	$(UIC) -tr ${UIC_TR} -i channelimportdlg.h $(srcdir)/channelimportdlg.ui > channelimportdlg.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" channelimportdlg.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_channelimportdlg,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> channelimportdlg.cpp ;\
	rm -f channelimportdlg.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "channelimportdlg.moc"' >> channelimportdlg.cpp; else rm -f channelimportdlg.cpp ; exit $$ret ; fi

channelimportdlg.h: $(srcdir)/channelimportdlg.ui
	rm -rf channelimportdlg.h;
	$(UIC) $(srcdir)/channelimportdlg.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> channelimportdlg.h ;
channelimportdlg.moc: channelimportdlg.h
	$(MOC) channelimportdlg.h -o channelimportdlg.moc

filterwidget.cpp: $(srcdir)/filterwidget.ui filterwidget.h filterwidget.moc
	rm -f filterwidget.cpp
	echo '#include <kdialog.h>' > filterwidget.cpp
	echo '#include <klocale.h>' >> filterwidget.cpp
	$(UIC) -tr ${UIC_TR} -i filterwidget.h $(srcdir)/filterwidget.ui > filterwidget.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" filterwidget.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_filterwidget,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> filterwidget.cpp ;\
	rm -f filterwidget.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "filterwidget.moc"' >> filterwidget.cpp; else rm -f filterwidget.cpp ; exit $$ret ; fi

filterwidget.h: $(srcdir)/filterwidget.ui
	rm -rf filterwidget.h;
	$(UIC) $(srcdir)/filterwidget.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> filterwidget.h ;
filterwidget.moc: filterwidget.h
	$(MOC) filterwidget.h -o filterwidget.moc

controlwidget.cpp: $(srcdir)/controlwidget.ui controlwidget.h controlwidget.moc
	rm -f controlwidget.cpp
	echo '#include <kdialog.h>' > controlwidget.cpp
	echo '#include <klocale.h>' >> controlwidget.cpp
	$(UIC) -tr ${UIC_TR} -i controlwidget.h $(srcdir)/controlwidget.ui > controlwidget.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" controlwidget.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_controlwidget,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> controlwidget.cpp ;\
	rm -f controlwidget.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "controlwidget.moc"' >> controlwidget.cpp; else rm -f controlwidget.cpp ; exit $$ret ; fi

controlwidget.h: $(srcdir)/controlwidget.ui
	rm -rf controlwidget.h;
	$(UIC) $(srcdir)/controlwidget.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> controlwidget.h ;
controlwidget.moc: controlwidget.h
	$(MOC) controlwidget.h -o controlwidget.moc

generalwidget.cpp: $(srcdir)/generalwidget.ui generalwidget.h generalwidget.moc
	rm -f generalwidget.cpp
	echo '#include <kdialog.h>' > generalwidget.cpp
	echo '#include <klocale.h>' >> generalwidget.cpp
	$(UIC) -tr ${UIC_TR} -i generalwidget.h $(srcdir)/generalwidget.ui > generalwidget.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" generalwidget.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_generalwidget,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> generalwidget.cpp ;\
	rm -f generalwidget.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "generalwidget.moc"' >> generalwidget.cpp; else rm -f generalwidget.cpp ; exit $$ret ; fi

generalwidget.h: $(srcdir)/generalwidget.ui
	rm -rf generalwidget.h;
	$(UIC) $(srcdir)/generalwidget.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> generalwidget.h ;
generalwidget.moc: generalwidget.h
	$(MOC) generalwidget.h -o generalwidget.moc

channelpropertiesdialog.cpp: $(srcdir)/channelpropertiesdialog.ui channelpropertiesdialog.h channelpropertiesdialog.moc
	rm -f channelpropertiesdialog.cpp
	echo '#include <kdialog.h>' > channelpropertiesdialog.cpp
	echo '#include <klocale.h>' >> channelpropertiesdialog.cpp
	$(UIC) -tr ${UIC_TR} -i channelpropertiesdialog.h $(srcdir)/channelpropertiesdialog.ui > channelpropertiesdialog.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" channelpropertiesdialog.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_channelpropertiesdialog,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> channelpropertiesdialog.cpp ;\
	rm -f channelpropertiesdialog.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "channelpropertiesdialog.moc"' >> channelpropertiesdialog.cpp; else rm -f channelpropertiesdialog.cpp ; exit $$ret ; fi

channelpropertiesdialog.h: $(srcdir)/channelpropertiesdialog.ui
	rm -rf channelpropertiesdialog.h;
	$(UIC) $(srcdir)/channelpropertiesdialog.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> channelpropertiesdialog.h ;
channelpropertiesdialog.moc: channelpropertiesdialog.h
	$(MOC) channelpropertiesdialog.h -o channelpropertiesdialog.moc

channelwidget.cpp: $(srcdir)/channelwidget.ui channelwidget.h channelwidget.moc
	rm -f channelwidget.cpp
	echo '#include <kdialog.h>' > channelwidget.cpp
	echo '#include <klocale.h>' >> channelwidget.cpp
	$(UIC) -tr ${UIC_TR} -i channelwidget.h $(srcdir)/channelwidget.ui > channelwidget.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" channelwidget.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_channelwidget,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> channelwidget.cpp ;\
	rm -f channelwidget.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "channelwidget.moc"' >> channelwidget.cpp; else rm -f channelwidget.cpp ; exit $$ret ; fi

channelwidget.h: $(srcdir)/channelwidget.ui
	rm -rf channelwidget.h;
	$(UIC) $(srcdir)/channelwidget.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> channelwidget.h ;
channelwidget.moc: channelwidget.h
	$(MOC) channelwidget.h -o channelwidget.moc

pluginconfigwidget.cpp: $(srcdir)/pluginconfigwidget.ui pluginconfigwidget.h pluginconfigwidget.moc
	rm -f pluginconfigwidget.cpp
	echo '#include <kdialog.h>' > pluginconfigwidget.cpp
	echo '#include <klocale.h>' >> pluginconfigwidget.cpp
	$(UIC) -tr ${UIC_TR} -i pluginconfigwidget.h $(srcdir)/pluginconfigwidget.ui > pluginconfigwidget.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" pluginconfigwidget.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_pluginconfigwidget,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> pluginconfigwidget.cpp ;\
	rm -f pluginconfigwidget.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "pluginconfigwidget.moc"' >> pluginconfigwidget.cpp; else rm -f pluginconfigwidget.cpp ; exit $$ret ; fi

pluginconfigwidget.h: $(srcdir)/pluginconfigwidget.ui
	rm -rf pluginconfigwidget.h;
	$(UIC) $(srcdir)/pluginconfigwidget.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> pluginconfigwidget.h ;
pluginconfigwidget.moc: pluginconfigwidget.h
	$(MOC) pluginconfigwidget.h -o pluginconfigwidget.moc

chwizard.cpp: $(srcdir)/chwizard.ui chwizard.h chwizard.moc
	rm -f chwizard.cpp
	echo '#include <kdialog.h>' > chwizard.cpp
	echo '#include <klocale.h>' >> chwizard.cpp
	$(UIC) -tr ${UIC_TR} -i chwizard.h $(srcdir)/chwizard.ui > chwizard.cpp.temp ; ret=$$?; \
	$(PERL) -pe "s,${UIC_TR}( \"\" ),QString::null,g" chwizard.cpp.temp | $(PERL) -pe "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | $(PERL) -pe "s,image([0-9][0-9]*)_data,img\$$1_chwizard,g" | $(PERL) -pe "s,: QWizard\(,: KWizard(,g" >> chwizard.cpp ;\
	rm -f chwizard.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "chwizard.moc"' >> chwizard.cpp; else rm -f chwizard.cpp ; exit $$ret ; fi

chwizard.h: $(srcdir)/chwizard.ui
	rm -rf chwizard.h;
	$(UIC) $(srcdir)/chwizard.ui | $(PERL) -pi -e "s,public QWizard,public KWizard,g; s,#include <qwizard.h>,#include <kwizard.h>,g" >> chwizard.h ;
chwizard.moc: chwizard.h
	$(MOC) chwizard.h -o chwizard.moc
